# StepRepr_HSequenceOfMaterialPropertyRepresentation.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_StepRepr_HSequenceOfMaterialPropertyRepresentation.hxx>`
`#include <StepRepr_SequenceOfMaterialPropertyRepresentation.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Handle_StepRepr_MaterialPropertyRepresentation.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Defines

#define | Item Handle_StepRepr_MaterialPropertyRepresentation
#define | Item_hxx <StepRepr_MaterialPropertyRepresentation.hxx>
#define | TheSequence StepRepr_SequenceOfMaterialPropertyRepresentation
#define | TheSequence_hxx <StepRepr_SequenceOfMaterialPropertyRepresentation.hxx>
#define | TCollection_HSequence StepRepr_HSequenceOfMaterialPropertyRepresentation
#define | TCollection_HSequence_hxx <StepRepr_HSequenceOfMaterialPropertyRepresentation.hxx>
#define | Handle_TCollection_HSequence Handle_StepRepr_HSequenceOfMaterialPropertyRepresentation
#define | TCollection_HSequence_Type_() StepRepr_HSequenceOfMaterialPropertyRepresentation_Type_()

## Functions

Handle_StepRepr_HSequenceOfMaterialPropertyRepresentation | ShallowCopy (const Handle_StepRepr_HSequenceOfMaterialPropertyRepresentation &me)

## Define Documentation

#define Handle_TCollection_HSequence Handle_StepRepr_HSequenceOfMaterialPropertyRepresentation

#define Item Handle_StepRepr_MaterialPropertyRepresentation

#define Item_hxx <StepRepr_MaterialPropertyRepresentation.hxx>

#define TCollection_HSequence StepRepr_HSequenceOfMaterialPropertyRepresentation

#define TCollection_HSequence_hxx <StepRepr_HSequenceOfMaterialPropertyRepresentation.hxx>

#define TCollection_HSequence_Type_ | (

)

StepRepr_HSequenceOfMaterialPropertyRepresentation_Type_()

#define TheSequence StepRepr_SequenceOfMaterialPropertyRepresentation

#define TheSequence_hxx <StepRepr_SequenceOfMaterialPropertyRepresentation.hxx>

## Function Documentation

Handle_StepRepr_HSequenceOfMaterialPropertyRepresentation ShallowCopy | ( | const Handle_StepRepr_HSequenceOfMaterialPropertyRepresentation & | me | ) | `[inline]`